import CAlertModal from "../components/CAlertModal/CAlertModal.vue";
import "./utils.css";

export default {
  title: "CAlertModal",
  component: CAlertModal,
  argTypes: {
    proceedAddingEvent: Function,
    title: String,
    iconColor: String,
    msg: String,
  },
};

const Template = (args, { argTypes }) => ({
  props: Object.keys(argTypes),
  components: { CAlertModal },
  template: '<c-alert-modal v-bind="$props" />',
});

function test() {
  console.log("test");
}
export const Default = Template.bind({});
Default.args = {
  proceedAddingEvent: test,
  primaryButtonLoader: false,
  primaryButtonText: "Yes",
  secondaryButtonText: "No",
};
